LibreOffice: XAccessibleComponent Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XAccessibleComponent Interface Reference

The XAccessibleComponent interface should be supported by any class that can be rendered on the screen. More...

`import "XAccessibleComponent.idl";`

Inheritance diagram for XAccessibleComponent:

## Public Member Functions
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds.
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point.
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object.
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent.
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates.
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box.
void | grabFocus ()
| Grabs the focus to this object.
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object.
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

The XAccessibleComponent interface should be supported by any class that can be rendered on the screen.

This interface provides the standard mechanism for an assistive technology to retrieve information concerning the graphical representation of an object. This interface combines methods from the Java interfaces `javax.accessibility.AccessibleComponent` and `javax.accessibility.AccessibleExtendedComponent`.

Further information about the graphical appearance of an object can be expressed with the XAccessibleExtendedComponent interface.

Coordinates used by the functions of this interface are specified in different coordinate systems. Their scale is the same and is equal to that of the screen coordinate system. In other words all coordinates are measured in pixel. They differ in their respective origin:

- The screen coordinate system has its origin in the upper left corner of the current screen. Used by the getLocationOnScreen() function.
- The origin of the parent coordinate system is the upper left corner of the parent's bounding box. With no parent the screen coordinate system is used instead. Used by the getLocation() function.
- The object coordinate system is relative to the upper left corner of an object's bounding box. It is relative to itself so to speak. Used by the containsPoint() and getAccessibleAtPoint() functions.

Key bindings which are associated with an accessible component can be retrieved at the component's action. The reason for this is that key bindings are associated with actions and directly with a component. This distinction becomes important when there are more than one action. To get access to the key bindings you have to get the XAccessibleAction interface of a component, provided that it is supported, and use the XAccessibleAction::getAccessibleKeyBinding().

See also
  XAccessibleExtendedComponent

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ containsPoint()

boolean containsPoint | ( | [in] ::com::sun::star::awt::Point | Point | ) |

Tests whether the specified point lies within this object's bounds.

The test point's coordinates are defined relative to the coordinate system of the object. That means that when the object is an opaque rectangle then both the points (0,0) and (width-1,height-1) would yield a TRUE value.

Parameters

  Point | Coordinates of the point to test. The origin of the coordinate system is the upper left corner of the object's bounding box as returned by the getBounds(). The scale of the coordinate system is identical to that of the screen coordinate system.

Returns
  Returns TRUE if the point lies within or on the object's bounding box and FALSE otherwise.

## ◆ getAccessibleAtPoint()

XAccessible getAccessibleAtPoint | ( | [in] ::com::sun::star::awt::Point | Point | ) |

Returns the Accessible child that is rendered under the given point.

The test point's coordinates are defined relative to the coordinate system of the object. That means that when the object is an opaque rectangle then both the points (0,0) and (width-1,height-1) are points inside of the object.

Parameters

  Point | Coordinates of the test point for which to find the Accessible child. The origin of the coordinate system is the upper left corner of the object's bounding box as returned by the getBounds(). The scale of the coordinate system is identical to that of the screen coordinate system.

Returns
  If there is one child which is rendered so that its bounding box contains the test point then a reference to that object is returned. If there is more than one child which satisfies that condition then a reference to that one is returned that is painted on top of the others. If there is no child which is rendered at the test point an empty reference is returned.

## ◆ getBackground()

::com::sun::star::util::Color getBackground | ( |  | ) |

Returns the background color of this object.

Returns
  The returned color is the background color of this object or, if that is not supported, the default background color.

## ◆ getBounds()

::com::sun::star::awt::Rectangle getBounds | ( |  | ) |

Returns the bounding box of this object.

The returned bounding box has the form of a rectangle. Its coordinates are relative to the object's parent coordinate system. Note that the two methods getLocation() and getSize() return the same information. With method getLocationOnScreen() you can get the bound box position in screen coordinates.

Returns
  The coordinates of the returned rectangle are relative to this object's parent or relative to the screen on which this object is rendered if it has no parent. If the object is not on any screen the returned rectangle is empty and located at position (0,0).

## ◆ getForeground()

::com::sun::star::util::Color getForeground | ( |  | ) |

Returns the foreground color of this object.

Returns
  The returned color is the foreground color of this object or, if that is not supported, the default foreground color.

## ◆ getLocation()

::com::sun::star::awt::Point getLocation | ( |  | ) |

Returns the location of the upper left corner of the object's bounding box relative to the parent.

The coordinates of the bounding box are given relative to the parent's coordinate system.

Returns
  The coordinates of the returned position are relative to this object's parent or relative to the screen on which this object is rendered if it has no parent. If the object is not on any screen the returned position is (0,0).

## ◆ getLocationOnScreen()

::com::sun::star::awt::Point getLocationOnScreen | ( |  | ) |

Returns the location of the upper left corner of the object's bounding box in screen coordinates.

This method returns the same point as does the method getLocation(). The difference is that the coordinates are absolute screen coordinates of the screen to which the object is rendered instead of being relative to the object's parent.

Returns
  The coordinates of the returned position are relative to the screen on which this object is rendered. If the object is not on any screen the returned position is (0,0).

## ◆ getSize()

::com::sun::star::awt::Size getSize | ( |  | ) |

Returns the size of this object's bounding box.

Returns
  The returned size is the size of this object or empty if it is not rendered on any screen.

## ◆ grabFocus()

void grabFocus | ( |  | ) |

Grabs the focus to this object.

If this object can not accept the focus, i.e. isFocusTraversable() returns FALSE for this object then nothing happens. Otherwise the object will attempt to take the focus. Nothing happens if that fails, otherwise the object has the focus. This method is called `requestFocus` in the Java Accessibility API 1.4.

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleComponent.idl